What's New

Warning

If you purchased this game between August 3rd and August 8th 2012, updating it will cause an error that will make the game unplayable.

If this applies to you, do not update your game. Instead, contact support@feralinteractive.com. Our support team have a solution, and will take you through a simple process that will correct the issue.

If you purchased the downloadable version of the game outside this window of time, or you bought the game on DVD, your game will not be affected.

Borderlands 1.0.3 Fix List

  • Keeps version in line with Mac App Store release
  • Fixes compatibility issue with Add- On Content

Borderlands 1.0.2 Fix List

  • Adds support for additional game controllers.
  • Improves performance on HD3000 graphics card.
  • Adds zoom toggle option for magic mouse and trackpad users.
  • Adds increased cursor control (mouse smoothing) option.

Borderlands GOTY (com.feralinteractive.borderlands.censored) is a Mac software application that has been discovered and submitted by users of Software.com. The latest version that our users have reported running on their systems is Borderlands GOTY 1.0.3.

Operating System: Mac

Default Install Path: /Applications/Borderlands GOTY.app

Bundle Identifier: Borderlands (com.feralinteractive.borderlands.censored)

Minimum OS version: 10.6.4